gr::gfdm::sync_cc Class Reference

<+description of block+> More...

`#include <sync_cc.h>`

Inheritance diagram for gr::gfdm::sync_cc:
[legend]

## Public Types

typedef boost::shared_ptr< sync_cc > | sptr

## Static Public Member Functions

static sptr | make (int n_subcarriers, int cp_length, int frame_len, std::vector< gr_complex > preamble, const std::string &gfdm_tag_key="gfdm_block")
| Return a shared_ptr to a new instance of gfdm::sync_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<sync_cc> gr::gfdm::sync_cc::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::sync_cc::make | ( | int | n_subcarriers,
|  | int | cp_length,
|  | int | frame_len,
|  | std::vector< gr_complex > | preamble,
|  | const std::string & | gfdm_tag_key = `"gfdm_block"`
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::sync_cc.

To avoid accidental use of raw pointers, gfdm::sync_cc's constructor is in a private implementation class. gfdm::sync_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- sync_cc.h